---

- name: Check that subversion is installed
  urpmi: name=subversion-server state=installed no-recommends=yes
  tags: subversion

- name: Check that subversion-tools is installed
  urpmi: name=subversion-tools state=installed
  tags: subversion

- name: Configure subversion
  copy: src=files/svnserve dest=/etc/sysconfig/svnserve owner=root group=root mode=0644 backup=yes
  notify:
    - restart subversion
  tags: subversion

- name: Check that subversion is runing
  service: name=svnserve state=started

